Create bank transfer method from Plaid processor token
Sending the processor_token to this endpoint will create the bank
transfer method for the given enterprise on the BitGo Platform.
Currently, only ACH bank transfer methods will be accepted.
Ensure you set all the required permissions to the token before
submitting it: auth, identity and signal.
Optionally, you can provide the description for the bank transfer method. The description is the display name and works similarly to a nickname. Uses the account name returned by Plaid when omitted.
Body Params
object
-
enterpriseIdstring requiredThe ID of the enterprise that owns the bank transfer method -
processorTokenstring requiredA Plaid processor token created with BitGo as the processor. -
descriptionstringOptional display name for the bank transfer method. Uses the account name returned by Plaid when omitted.
Responses
201
Created
Response Body
object
-
dataobject requireddata object
-
bankTransferMethodIdstring requiredThe ID of the created bank transfer method
-
400
Bad Request - Required parameters are missing, the processor token is invalid, or it is not linked to an ACH account
Response Body
object
-
errorNamestring required -
errorstring required
403
Forbidden - Client does not have access to the enterprise
Response Body
object
-
errorNamestring required -
errorstring required
424
Failed Dependency - Plaid service is unavailable
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required